/***
 * Warthog Robotics
 * University of Sao Paulo (USP) at Sao Carlos
 * http://www.warthog.sc.usp.br/
 *
 * This file is part of WREye project.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ***/

#ifndef EYEVIEWUPDATER_HH
#define EYEVIEWUPDATER_HH

#include <WREye/entity/eyebase.hh>
#include <WREye/entity/entity.hh>

namespace EyeGUI {

#define VIEW_RESETTIME 500 // ms

class EyeViewUpdater : public Entity {
public:
    EyeViewUpdater(EyeUpdater *eyeUpdater, GLSoccerView *view);
    virtual ~EyeViewUpdater();

    QString name();
private:
    // Source
    EyeUpdater *_eyeUpdater;

    // Destination
    GLSoccerView *_view;

    void initialization();
    void loop();
    void finalization();
};

}

#endif // EYEVIEWUPDATER_HH
