/***
 * Warthog Robotics
 * University of Sao Paulo (USP) at Sao Carlos
 * http://www.warthog.sc.usp.br/
 *
 * This file is part of WREye project.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ***/

#ifndef EYEGUI_H
#define EYEGUI_H

#include <QtGui>
#include <QtCore>
#include <QtWidgets>

#include <WREye/entity/eyebase.hh>
#include <WREye/utils/fieldtype.hh>

namespace EyeGUI {

class MainGUI : public QWidget {
    Q_OBJECT
public:
    MainGUI(FieldTypes::FieldType fieldType, EyeClient *eyeClient, EyeUpdater *eyeUpdater, QWidget *parent = 0);
    virtual ~MainGUI();

private:
    // Controlled systems
    EyeClient *_eyeClient;
    EyeUpdater *_eyeUpdater;

    // Secondary GUIs (tabs)
    EyeGUI::EyeConfigGUI *_tab_eyeConfig;
    EyeGUI::EyeViewGUI *_tab_eyeView;

    // Main layout
    QVBoxLayout *_windowLayout;
    QTabWidget *_windowTabs;
    QLabel *_wrInfo;

    // Internal
    FieldTypes::FieldType _fieldType;

    // GUI
    void setupGUI();
};

}

#endif // EYEGUI_H
