/***
 * Warthog Robotics
 * University of Sao Paulo (USP) at Sao Carlos
 * http://www.warthog.sc.usp.br/
 *
 * This file is part of WREye project.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ***/

#ifndef MULTIOBJECT_HH
#define MULTIOBJECT_HH

#include <GEARSystem/Types/types.hh>

class MultiObject {
public:
    MultiObject(const Position &pos, const Angle &ori, int camId, float confidence);

    // Getters
    Position position() const { return _pos; }
    Angle orientation() const { return _ori; }
    int cameraId() const { return _camId; }
    float confidence() const { return _confidence; }
private:
    // Object info
    Position _pos;
    Angle _ori;
    int _camId;
    float _confidence;
};

#endif // MULTIOBJECT_HH
