/***
 * Warthog Robotics
 * University of Sao Paulo (USP) at Sao Carlos
 * http://www.warthog.sc.usp.br/
 *
 * This file is part of WREye project.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ***/

#include "lossfilter.hh"

QString LossFilter::name() {
    return "LossFilter";
}

LossFilter::LossFilter(unsigned filterTime) {
    this->_filterTime = filterTime;
    _timer.start();
}

void LossFilter::resetLossTimer() {
    _timer.start();
}

bool LossFilter::isObjectLost() {
    _timer.stop();
    return (_timer.timemsec()>=_filterTime);
}
