/***
 * Warthog Robotics
 * University of Sao Paulo (USP) at Sao Carlos
 * http://www.warthog.sc.usp.br/
 *
 * This file is part of WREye project.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ***/

#ifndef LOSSFILTER_H
#define LOSSFILTER_H

#include <WREye/object/filter/filter.hh>
#include <WREye/utils/wrtimer.hh>

class LossFilter : public Filter {
private:
    WRTimer _timer;
    unsigned _filterTime;
public:
    LossFilter(unsigned filterTime = 200);
    QString name();

    void resetLossTimer();
    bool isObjectLost();
};

#endif // LOSSFILTER_H
