/***
 * Warthog Robotics
 * University of Sao Paulo (USP) at Sao Carlos
 * http://www.warthog.sc.usp.br/
 *
 * This file is part of WREye project.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ***/

#ifndef OBJECTINFO_H
#define OBJECTINFO_H

#include <GEARSystem/Types/types.hh>

class ObjectVelocity {
private:
    class ObjectFrame {
    private:
        Position pos;
        double time;
    public:
        ObjectFrame(Position pos, double time) {
            this->pos = pos;
            this->time = time;
        }
        double getTime() const {
            return this->time;
        }
        Position getPos() const {
            return this->pos;
        }
    };

    static const int MAX_FRAMES = 5;

    QList<ObjectFrame*> frames;
    Position distSum;

    void addNewFrame(const Position &pos, double time);
    void removeOlderFrame();
    Velocity calcVelocity();

public:
    ObjectVelocity();
    Velocity getVelocity(const Position &currPos);
};

#endif // OBJECTINFO_H
