/***
 * Warthog Robotics
 * University of Sao Paulo (USP) at Sao Carlos
 * http://www.warthog.sc.usp.br/
 *
 * This file is part of WREye project.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ***/

#ifndef ROBOT_H
#define ROBOT_H

#include <WREye/utils/color.hh>
#include <WREye/object/object.hh>

class Robot : public Object {
private:
    // Robot info
    Colors::Color _color;
    quint8 _teamId;
    quint8 _robotId;

    bool _debugDetection;
public:
    Robot(Colors::Color color, quint8 teamId, quint8 robotId, bool enableLossFilter=true, bool enableKalmanFilter=true, bool enableNoiseFilter=true, bool debugDetection=true);
    virtual ~Robot();

    Colors::Color color() const { return _color; }
    quint8 teamId() const { return _teamId; }
    quint8 robotId() const { return _robotId; }

    QString name();
    void updateToSensor();
};

#endif // ROBOT_H
